- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxPropertyT< T > Class Template Reference

Search for all occurrences

## Detailed Description

### template<class T>
class FbxPropertyT< T >

This template class is used to contain user properties of specific data types.

Definition at line 1178 of file fbxproperty.h.

`#include <fbxproperty.h>`

Inheritance diagram for FbxPropertyT< T >:
[legend]

List of all members.

## Public Member Functions
| FbxPropertyT ()
| FbxPropertyT (const FbxProperty &pProperty)
| ~FbxPropertyT ()
## Static initialization.
FbxProperty & | StaticInit (FbxObject *pObject, const char *pName, const T &pValue, bool pForceSet=true, FbxPropertyAttr::EFlags pFlags=FbxPropertyAttr::eNone)
| Creates a property and initializes it using a specific value and flag.
FbxProperty & | StaticInit (FbxObject *pObject, const char *pName, const FbxDataType &pDataType, const T &pValue, bool pForceSet=true, FbxPropertyAttr::EFlags pFlags=FbxPropertyAttr::eNone)
| Creates a property and initializes it using a specific value and flag.
FbxProperty & | StaticInit (FbxProperty pCompound, const char *pName, const FbxDataType &pDataType, const T &pValue, bool pForceSet=true, FbxPropertyAttr::EFlags pFlags=FbxPropertyAttr::eNone)
| Creates a property and initializes it using a specific value and flag.
## Value Management
FbxPropertyT & | Set (const T &pValue)
| Assignment function.
T | Get () const
| Retrieve function.
FbxPropertyT & | operator= (const T &pValue)
| Assignment operator.
| operator T () const
| Type cast operator.

## Constructor & Destructor Documentation

FbxPropertyT | ( |  | ) | `[inline]`

Definition at line 1271 of file fbxproperty.h.

    : FbxProperty(){}

FbxPropertyT | ( | const FbxProperty & | pProperty | ) | `[inline]`

Definition at line 1272 of file fbxproperty.h.

    : FbxProperty(pProperty){}

~FbxPropertyT | ( |  | ) | `[inline]`

Definition at line 1273 of file fbxproperty.h.

    {}

## Member Function Documentation

FbxProperty& StaticInit | ( | FbxObject * | pObject,
|  | const char * | pName,
|  | const T & | pValue,
|  | bool | pForceSet = `true`,
|  | FbxPropertyAttr::EFlags | pFlags = `FbxPropertyAttr::eNone`
| ) |  | `[inline]`

Search for all occurrences

Creates a property and initializes it using a specific value and flag.

Parameters:

  pObject | The object that contains this property.
  pName | The name of the property.
  pValue | The value of the property.
  pForceSet | If `true`, the value is forcibly set, if `false` the value is not set when it equals the default value.
  pFlags | The property flag.

Definition at line 1192 of file fbxproperty.h.

            {
                return StaticInit(pObject, pName, FbxGetDataTypeFromEnum(FbxTypeOf(*((T*)0))), pValue, pForceSet, pFlags);
            }

FbxProperty& StaticInit | ( | FbxObject * | pObject,
|  | const char * | pName,
|  | const FbxDataType & | pDataType,
|  | const T & | pValue,
|  | bool | pForceSet = `true`,
|  | FbxPropertyAttr::EFlags | pFlags = `FbxPropertyAttr::eNone`
| ) |  | `[inline]`

Search for all occurrences

Creates a property and initializes it using a specific value and flag.

Parameters:

  pObject | The object that contains this property.
  pName | The name of the property.
  pDataType | The property data type.
  pValue | The property value.
  pForceSet | If `true`, the value is forcibly set, if `false` the value is not set when it equals the default value.
  pFlags | The property flag.

Definition at line 1205 of file fbxproperty.h.

            {
                bool lWasFound = false;
                *this = Create(pObject, pDataType, pName, "", true, &lWasFound);
                if( pForceSet || !lWasFound )
                {
                    ModifyFlag(pFlags, true);   // modify the flags before we set the value
                    FbxProperty::Set(&pValue, FbxTypeOf(pValue), false);
                }
                return *this;
            }

FbxProperty& StaticInit | ( | FbxProperty | pCompound,
|  | const char * | pName,
|  | const FbxDataType & | pDataType,
|  | const T & | pValue,
|  | bool | pForceSet = `true`,
|  | FbxPropertyAttr::EFlags | pFlags = `FbxPropertyAttr::eNone`
| ) |  | `[inline]`

Search for all occurrences

Creates a property and initializes it using a specific value and flag.

Parameters:

  pCompound | The parent property of this property.
  pName | The name of the property.
  pDataType | The property data type.
  pValue | The property value.
  pForceSet | If `true`, the value is forcibly set, if `false` the value is not set when it equals to the default value.
  pFlags | The property flag.

Definition at line 1225 of file fbxproperty.h.

            {
                bool lWasFound = false;
                *this = Create(pCompound, pDataType, pName, "", true, &lWasFound);
                if( pForceSet || !lWasFound )
                {
                    ModifyFlag(pFlags, true);   // modify the flags before we set the value
                    FbxProperty::Set(&pValue, FbxTypeOf(pValue), false);
                }
                return *this;
            }

FbxPropertyT& Set | ( | const T & | pValue | ) | `[inline]`

Search for all occurrences

Assignment function.

Parameters:

  pValue | The value assigned to this property.

Returns:
  This property.

Reimplemented from FbxProperty.

Definition at line 1246 of file fbxproperty.h.

    { FbxProperty::Set(&pValue, FbxTypeOf(pValue)); return *this; }

T Get | ( |  | ) | const `[inline]`

Search for all occurrences

Retrieve function.

Returns:
  The value of the property.

Reimplemented from FbxProperty.

Definition at line 1251 of file fbxproperty.h.

    { T lValue; FbxProperty::Get(&lValue, FbxTypeOf(lValue)); return lValue; }

FbxPropertyT& operator= | ( | const T & | pValue | ) | `[inline]`

Assignment operator.

Parameters:

  pValue | The value of type T assigned to this property.

Returns:
  This property.

Definition at line 1257 of file fbxproperty.h.

    { return Set(pValue); }

operator T | ( |  | ) | const `[inline]`

Type cast operator.

Returns:
  The value of the property of type T.

Definition at line 1262 of file fbxproperty.h.

    { return Get(); }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxproperty.h